var $AdfDhtmlFormPeer$$ = $AdfRichUIPeer$$.$createPeerClass$($AdfRichUIPeer$$, "AdfDhtmlFormPeer");
$goog$exportSymbol$$("AdfDhtmlFormPeer", $AdfDhtmlFormPeer$$);
$AdfDhtmlFormPeer$$.$InitSubclass$ = function $$AdfDhtmlFormPeer$$$$InitSubclass$$() {
  $AdfRichUIPeer$$.$addSuppressedPPRAttributes$(this, "defaultCommand");
  $AdfRichUIPeer$$.$addComponentEventHandlers$(this, $AdfUIInputEvent$$.$KEY_PRESS_EVENT_TYPE$);
};
$goog$exportSymbol$$("AdfDhtmlFormPeer.InitSubclass", $AdfDhtmlFormPeer$$.$InitSubclass$);
$AdfDhtmlFormPeer$$.prototype.$DomReplaceNotify$ = function $$AdfDhtmlFormPeer$$$$$DomReplaceNotify$$($domNode$$28$$) {
  var $clientId$$203_postscriptId$$ = this.$getComponent$().$getClientId$(), $clientId$$203_postscriptId$$ = $AdfRichUIPeer$$.$createSubId$($clientId$$203_postscriptId$$, "postscript");
  return $domNode$$28$$.id == $clientId$$203_postscriptId$$ ? null : $domNode$$28$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlFormPeer.prototype.DomReplaceNotify", {$DomReplaceNotify$:$AdfDhtmlFormPeer$$.prototype.$DomReplaceNotify$});
$AdfDhtmlFormPeer$$.prototype.$InitDomElement$ = function $$AdfDhtmlFormPeer$$$$$InitDomElement$$($component$$1130$$, $rootElement$$51$$) {
  $AdfDhtmlFormPeer$$.$superclass$.$InitDomElement$.call(this, $component$$1130$$, $rootElement$$51$$);
  $AdfPage$$.$PAGE$.$getDomWindow$()["_" + $component$$1130$$.$getClientId$() + "Validator"] = function anonymous$$14() {
    return !0;
  };
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlFormPeer.prototype.InitDomElement", {$InitDomElement$:$AdfDhtmlFormPeer$$.prototype.$InitDomElement$});
$AdfDhtmlFormPeer$$.prototype.$HandleComponentKeyPress$ = function $$AdfDhtmlFormPeer$$$$$HandleComponentKeyPress$$($componentEvent$$199_defaultCommandOnComp_id$$292$$) {
  if ($componentEvent$$199_defaultCommandOnComp_id$$292$$.$getKeyCode$() == $AdfKeyStroke$$.$ENTER_KEY$ && ($componentEvent$$199_defaultCommandOnComp_id$$292$$ = $AdfDhtmlFormPeer$$.$__GetDefaultCommandTriggerId$($componentEvent$$199_defaultCommandOnComp_id$$292$$, !0), null != $componentEvent$$199_defaultCommandOnComp_id$$292$$)) {
    $componentEvent$$199_defaultCommandOnComp_id$$292$$ = $AdfDhtmlSubformPeer$$.$getDefaultCommandSubform$($componentEvent$$199_defaultCommandOnComp_id$$292$$);
    var $defaultCommandId$$;
    $componentEvent$$199_defaultCommandOnComp_id$$292$$ || ($componentEvent$$199_defaultCommandOnComp_id$$292$$ = this.$getComponent$());
    if ($defaultCommandId$$ = $componentEvent$$199_defaultCommandOnComp_id$$292$$.getDefaultCommand()) {
      var $defaultCommand$$ = $componentEvent$$199_defaultCommandOnComp_id$$292$$.$findComponent$($defaultCommandId$$);
      $defaultCommand$$ ? $defaultCommand$$.$getPeer$().$isBusy$() || $AdfActionEvent$$.$queue$($defaultCommand$$, $defaultCommand$$.getPartialSubmit()) : $AdfLogger$$.$LOGGER$.warning("DefaultCommand with the ID of '" + $defaultCommandId$$ + "' is not found for component: " + $componentEvent$$199_defaultCommandOnComp_id$$292$$);
    }
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlFormPeer.prototype.HandleComponentKeyPress", {$HandleComponentKeyPress$:$AdfDhtmlFormPeer$$.prototype.$HandleComponentKeyPress$});
$AdfDhtmlFormPeer$$.$__GetDefaultCommandTriggerId$ = function $$AdfDhtmlFormPeer$$$$__GetDefaultCommandTriggerId$$($componentEvent$$200$$, $cancelEvent$$1$$) {
  var $idNode_nativeTarget$$2$$ = $componentEvent$$200$$.$getNativeEventTarget$();
  if ($idNode_nativeTarget$$2$$) {
    var $id$$293_tagName$$7$$ = $idNode_nativeTarget$$2$$.tagName;
    if ("A" == $id$$293_tagName$$7$$ || "BUTTON" == $id$$293_tagName$$7$$ || "TEXTAREA" == $id$$293_tagName$$7$$ || "IFRAME" == $id$$293_tagName$$7$$ || "INPUT" == $id$$293_tagName$$7$$ && ("submit" == $idNode_nativeTarget$$2$$.type || "reset" == $idNode_nativeTarget$$2$$.type)) {
      return null;
    }
    "SELECT" != $id$$293_tagName$$7$$ && $cancelEvent$$1$$ && $componentEvent$$200$$.cancel();
    for ($id$$293_tagName$$7$$ = $idNode_nativeTarget$$2$$.id;!$id$$293_tagName$$7$$;) {
      $idNode_nativeTarget$$2$$ = $idNode_nativeTarget$$2$$.parentNode, $id$$293_tagName$$7$$ = $idNode_nativeTarget$$2$$.id;
    }
    return $id$$293_tagName$$7$$;
  }
  return null;
};
